#include <bios_lcd.h>
#include <bios_interrupts.h>
#include <cpu.h>

static const char appname[] __attribute__ ((section (".appname"))) = "Timer test";

void zempl_hendl(void *sp) {
	static char c = 'a';
	LCD_putc(c++);

	RTCISR = 0xFFFF;
}

int pocetak() {
	LCD_puts("Timer test");

	irq_register(IRQID_SAM, zempl_hendl);

	RTCIENR = 0x0100;
	IMR &= ~INTR_SAM;

	for (;;);

	return 0;
}
