#ifndef _KEYS_H_
#define _KEYS_H_

#include <bios_keys.h>

#define HK_POWER	0x01
#define HK_UP		0x02
#define HK_DOWN		0x04
#define HK_SYNC		0x08
#define HK_B1		0x10
#define HK_B2		0x20
#define HK_B3		0x40
#define HK_B4		0x80

#define KEYROW0	0x01
#define KEYROW1	0x08
#define KEYROW2	0x10
#define KEYMASK(m)	(PBDATA = (PBDATA & ~(KEYROW0|KEYROW1|KEYROW2)) | (m))

void keys_init();
void keys_deinit();
unsigned char keys_read();

#endif
