#ifndef _UART_H_
#define _UART_H

// ovo vrijedi za PLL/2 SYSCLOCK:
#define UART_B57600	0x0038
#define UART_B28800	0x0138
#define UART_B19200	0x0026
#define UART_B14400	0x0238
#define UART_B9600	0x0126
#define UART_B4800	0x0226
#define UART_B2400	0x0326
#define UART_B1200	0x0426
#define UART_B600	0x0526
#define UART_B300	0x0626
#define UART_B150	0x0726

void uart_init();
void uart_putc(unsigned char c);
void uart_puts(const char *s);
void uart_puthex(unsigned long ul);
void uart_putdec(long l);
unsigned char uart_getc();
short uart_peekc();
void uart_set_baudrate(unsigned short bdr);

#endif
