#include <bios.h>
#include <bios_lcd.h>

void LCD_clear() {
	_trap0_0(TRAP0_LCD_CLEAR);
}

void LCD_putc(char c) {
	_trap0_1(TRAP0_LCD_PUTC, c);
}

void LCD_puts(const char *s) {
	_trap0_1(TRAP0_LCD_PUTS, (unsigned long)s);
}

void LCD_putdec(long d) {
	_trap0_1(TRAP0_LCD_PUTDEC, d);
}

void LCD_puthex(unsigned long x) {
	_trap0_1(TRAP0_LCD_PUTHEX, x);
}

char LCD_gotoxy(short x, short y) {
	return _trap0_2(TRAP0_LCD_GOTOXY, x, y);
}
