#include <cpu.h>

	.globl __startup

	.text

__startup:
	;// init ram & rom
	move.w #0x8F01, (DRAMMC)
	move.w #0x8667, (DRAMC)

	move.w #0x8600, (CSGBA)
	move.w #0x01A9, (CSA)
	move.w #0x369B, (CSD)

	;// init PLL
	;//move.w #0x0123, (PLLFSR)
	;//move.w #0x2410, (PLLCR)
.L0:	btst.b #7, (PLLFSR)
	bne.s .L0
.L1:	btst.b #7, (PLLFSR)
	beq.s .L1	

	;// init ports
	move.b #0x4B, (PBDIR)
	move.b #0x36, (PBDATA)
	move.b #0x00, (PBPUEN)
	move.b #0x4B, (PBSEL)

	move.b #0x00, (PCPDEN)
	move.b #0x00, (PCSEL)

	move.b #0x1F, (PDPUEN)
	move.b #0xB0, (PDDATA)
	move.b #0x60, (PDDIR)
	move.b #0xF0, (PDSEL)
	move.b #0x00, (PDIRQEN)

	move.b #0x25, (PEDIR)
	move.b #0x9E, (PEDATA)
	move.b #0x82, (PEPUEN)
	move.b #0x00, (PESEL)

	move.b #0xE5, (PFDIR)
	move.b #0xD8, (PFDATA)
	move.b #0x02, (PFPUEN)
	move.b #0xE5, (PFSEL)

	move.b #0x38, (PGDIR)
	move.b #0x3F, (PGDATA)
	move.b #0x3B, (PGSEL)
	move.b #0x06, (PGPUEN)

	;// disable watchdog
	move.w #0x0000, (WATCHDOG)

	;// prelazak u C
	jsr startup
inf:	jmp inf
