rom_addr = 0x00016F30;

SECTIONS {
	.text rom_addr : {
		all_start = .;
		*(.startup)
		*(.text)
		*(.rodata)
	}
	.data : {
		. = ALIGN(2);
		*(.data)
	}
	.bss : {
		. = ALIGN(2);
		*(.bss)
	}

	.stack : {
		. = ALIGN(2);
		stack_start = .;
		. = . + 512;
		stack_end = .;
		LONG(0xFF);
	}
}
