#ifndef _STRING_H_
#define _STRING_H_

#include <types.h>

#ifndef NULL
# define NULL ((void*)0)
#endif

int strcmp(const char *s1, const char *s2);

int memcmp(const void *s1, const void *s2, size_t n);

void *memcpy(void *dest, const void *src, size_t n);
void *memcpyw(void *dest, const void *src, size_t n);

void *memset(void *dest, unsigned char c, size_t n);
void *memsetw(void *dest, unsigned short w, size_t n);

void *memmovew(void *dest, const void *src, size_t n);

#endif
