#include "string.h"

void *memcpyw(void *dest, const void *src, size_t n) {
	unsigned short *destw = (unsigned short *)dest;
	const unsigned short *srcw = (const unsigned short *)src;
	while (n--)
		*(destw++) = *(srcw++);
	return dest;
}

void *memsetw(void *dest, unsigned short w, size_t n) {
	unsigned short *destw = (unsigned short *)dest;
	while (n--)
		*(destw++) = w;
	return dest;
}

void *memmovew(void *dest, const void *src, size_t n) {
	short *d, *s;
        size_t p;
        if (dest < src) {
                d = (short*)dest;
                s = (short*)src;
                for (p = 0; p < n; ++p, ++d, ++s)
                        *d = *s;
        } else {
                d = ((short*)dest) + n - 1;
                s = ((short*)src) + n - 1;
                for (p = 0; p < n; ++p, --d, --s)
                        *d = *s;
        }
        return dest;
}

