#include <cpu.h>
#include <bios_lcd.h>
#include "keys.h"
#include <bios_interrupts.h>

void test() {
	unsigned char keys = 0, k2;

	LCD_puts("init");

	keys_init();
	keys_deinit();
	irq_register(IRQID_KEYS, NULL);

#ifdef SPEED
	PLLCR = 0x2410;
	while (PLLFSR & 0x8000);
	while (!(PLLFSR & 0x8000));
#endif

	while (!(keys & 0x08)) {
		if (keys != (k2 = keys_read())) {
			LCD_puthex(k2);
			keys = k2;
		}
	}


	keys_deinit();

#ifdef SPEED
	PLLCR = 0x2420;
	while (PLLFSR & 0x8000);
	while (!(PLLFSR & 0x8000));
#endif

	LCD_puts("Baj baj!");
}
